Name:          xmms-sid
Version:       0.7.4
Release:       2
Summary:       SidPlay Output plugin for XMMS
Group:         Multimedia
URL:           http://www.tnsp.org/xmms-sid.php
License:       GPL
BuildRequires: xmms-devel libsidplay-devel
Source0:       %name-%version.tar.bz2
Patch0: 	xmms-sid-0.7.4-cflags.patch
Patch1: 	xmms-sid-0.7.4-gcc34.patch
BuildRoot:     %_tmppath/%name-buildroot

%description
XMMS-SID is a plugin for XMMS (X MultiMedia System) which provides
support for playing the so-called "SID tunes". For the actual playing,
XMMS-SID uses the excellent libsidplay SID-chip/6502 emulator engine.

%prep
%setup -q
%patch0 -p1 -b .cflags
%patch1 -p1 -b .gcc34

%build
%configure --disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
make install libdir=$RPM_BUILD_ROOT%{_libdir}/xmms/Input

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_libdir}/xmms/Input/*.so
%{_libdir}/xmms/Input/*.la
